# Visualization
TKV2d
AIS2D

# AIS2D_HSequenceOfPrimArchit Class Reference

`#include <AIS2D_HSequenceOfPrimArchit.hxx>`

## Public Member Functions

| AIS2D_HSequenceOfPrimArchit ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(AIS2D_PrimitiveArchit)&anItem)
Standard_EXPORT void | Append (const Handle(AIS2D_HSequenceOfPrimArchit)&aSequence)
Standard_EXPORT void | Prepend (const Handle(AIS2D_PrimitiveArchit)&anItem)
Standard_EXPORT void | Prepend (const Handle(AIS2D_HSequenceOfPrimArchit)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(AIS2D_PrimitiveArchit)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(AIS2D_HSequenceOfPrimArchit)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(AIS2D_PrimitiveArchit)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(AIS2D_HSequenceOfPrimArchit)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_AIS2D_HSequenceOfPrimArchit | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(AIS2D_PrimitiveArchit)&anItem)
Standard_EXPORT const Handle_AIS2D_PrimitiveArchit & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_AIS2D_PrimitiveArchit & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const AIS2D_SequenceOfPrimArchit & | Sequence () const
AIS2D_SequenceOfPrimArchit & | ChangeSequence ()
Standard_EXPORT Handle_AIS2D_HSequenceOfPrimArchit | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

AIS2D_SequenceOfPrimArchit | mySequence

## Constructor & Destructor Documentation

AIS2D_HSequenceOfPrimArchit::AIS2D_HSequenceOfPrimArchit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Append | ( | const Handle(AIS2D_HSequenceOfPrimArchit)& | aSequence | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Append | ( | const Handle(AIS2D_PrimitiveArchit)& | anItem | ) |

AIS2D_SequenceOfPrimArchit& AIS2D_HSequenceOfPrimArchit::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_AIS2D_PrimitiveArchit& AIS2D_HSequenceOfPrimArchit::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Clear | ( |  | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const AIS2D_HSequenceOfPrimArchit::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(AIS2D_HSequenceOfPrimArchit)& | aSequence
| ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(AIS2D_PrimitiveArchit)& | anItem
| ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(AIS2D_HSequenceOfPrimArchit)& | aSequence
| ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(AIS2D_PrimitiveArchit)& | anItem
| ) |

Standard_Boolean AIS2D_HSequenceOfPrimArchit::IsEmpty | ( |  | ) | const

Standard_Integer AIS2D_HSequenceOfPrimArchit::Length | ( |  | ) | const

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Prepend | ( | const Handle(AIS2D_HSequenceOfPrimArchit)& | aSequence | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Prepend | ( | const Handle(AIS2D_PrimitiveArchit)& | anItem | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::Reverse | ( |  | ) |

const AIS2D_SequenceOfPrimArchit& AIS2D_HSequenceOfPrimArchit::Sequence | ( |  | ) | const

Standard_EXPORT void AIS2D_HSequenceOfPrimArchit::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(AIS2D_PrimitiveArchit)& | anItem
| ) |

Standard_EXPORT Handle_AIS2D_HSequenceOfPrimArchit AIS2D_HSequenceOfPrimArchit::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_AIS2D_HSequenceOfPrimArchit AIS2D_HSequenceOfPrimArchit::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_AIS2D_PrimitiveArchit& AIS2D_HSequenceOfPrimArchit::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

AIS2D_SequenceOfPrimArchit AIS2D_HSequenceOfPrimArchit::mySequence `[private]`

The documentation for this class was generated from the following file:

- AIS2D_HSequenceOfPrimArchit.hxx